Select Database Instance
This API returns list of instances for the selected cloud account.
Query Parameters
- regionId integer
Id of the region, Use select region to get ID. Application for SaaS
- cloudAccountId integer required
Id of the cloud Account
- backupGateways string
Comma separated backupGateway Client IDs. Not needed for directCloudBackup
Responses
- 200
OK
- application/json
- Schema
- Example (from schema)
- Example 1
Schema
rdsDBInstances object[]
allocatedStorage integerdbName stringregionName stringavailabilityZone stringdbInstanceStatus stringengine stringengineVersion stringmasterUsername stringdbInstanceIdentifier stringendPoint stringport integerbackupRetentionPeriod integer
{
"rdsDBInstances": [
{
"allocatedStorage": 0,
"dbName": "string",
"regionName": "string",
"availabilityZone": "string",
"dbInstanceStatus": "string",
"engine": "string",
"engineVersion": "string",
"masterUsername": "string",
"dbInstanceIdentifier": "string",
"endPoint": "string",
"port": 0,
"backupRetentionPeriod": 0
}
]
}
{
"rdsDBInstances": [
{
"dbName": "pg",
"regionName": "eastus2",
"availabilityZone": "2",
"dbInstanceStatus": "Stopped",
"engine": "postgresqlflexible",
"engineVersion": "14",
"masterUsername": "postgres",
"dbInstanceIdentifier": "pg",
"endPoint": "pg.postgres.database.azure.com",
"port": 5432
},
{
"dbName": "pg2",
"regionName": "eastus2",
"availabilityZone": "1",
"dbInstanceStatus": "Stopped",
"engine": "postgresqlflexible",
"engineVersion": "15",
"masterUsername": "postgres",
"dbInstanceIdentifier": "pg2",
"endPoint": "pg2.postgres.database.azure.com",
"port": 5432
}
]
}
Loading...